*** conf/files.orig	Thu Apr  7 11:05:31 1988
--- conf/files	Thu Apr  7 15:17:19 1988
***************
*** 1,5 ****
--- 1,6 ----
  net/af.c		standard
  net/if.c		standard
+ net/if_sl.c		optional sl
  net/raw_cb.c		standard
  net/raw_usrreq.c	standard
  net/route.c		standard
*** h/ioctl.h.orig	Thu Apr  7 11:06:05 1988
--- h/ioctl.h	Thu Apr  7 15:17:14 1988
***************
*** 176,181 ****
--- 176,182 ----
  #define	NTTYDISC	2		/* new tty discipline */
  #define	TABLDISC	3		/* hitachi tablet discipline */
  #define	NTABLDISC	4		/* gtco tablet discipline */
+ #define	SLIPDISC	5		/* serial IP discipline */
  
  #define	FIOCLEX		_IO(f, 1)		/* set exclusive use on fd */
  #define	FIONCLEX	_IO(f, 2)		/* remove exclusive use */
*** net/route.c.orig	Thu Apr  7 15:15:57 1988
--- net/route.c	Thu Apr  7 15:16:51 1988
***************
*** 241,252 ****
  			error = EEXIST;
  			goto bad;
  		}
! 		ifp = if_ifwithaddr(&entry->rt_gateway);
  		if (ifp == 0) {
! 			ifp = if_ifwithnet(&entry->rt_gateway);
  			if (ifp == 0) {
! 				error = ENETUNREACH;
! 				goto bad;
  			}
  		}
  		m = m_get(M_DONTWAIT, MT_RTABLE);
--- 241,263 ----
  			error = EEXIST;
  			goto bad;
  		}
! 		for (ifp = ifnet; ifp; ifp = ifp->if_next) {
! 			if (ifp->if_addr.sa_family != entry->rt_dst.sa_family ||
! 				!(ifp->if_flags&IFF_UP))
! 					continue;
! 			if ((ifp->if_flags & IFF_POINTOPOINT) &&
! 			    (bcmp(ifp->if_dstaddr.sa_data, entry->rt_dst.sa_data, 14) == 0)
! 			    || (bcmp(ifp->if_dstaddr.sa_data, entry->rt_gateway.sa_data, 14) == 0))
! 				break;
! 		}
  		if (ifp == 0) {
! 			ifp = if_ifwithaddr(&entry->rt_gateway);
  			if (ifp == 0) {
! 				ifp = if_ifwithnet(&entry->rt_gateway);
! 				if (ifp == 0) {
! 					error = ENETUNREACH;
! 					goto bad;
! 				}
  			}
  		}
  		m = m_get(M_DONTWAIT, MT_RTABLE);
*** sys/tty_conf.c.orig	Thu Apr  7 15:16:26 1988
--- sys/tty_conf.c	Thu Apr  7 15:16:36 1988
***************
*** 21,26 ****
--- 21,30 ----
  #if NTB > 0
  int	tbopen(),tbclose(),tbread(),tbinput(),tbioctl();
  #endif
+ #include "sl.h"
+ #if NSL > 0
+ int	slopen(),slclose(),slinput(),sltioctl(),slstart();
+ #endif
  
  struct	linesw linesw[] =
  {
***************
*** 45,50 ****
--- 49,61 ----
  #if NTB > 0
  	tbopen, tbclose, tbread, nodev, tbioctl,
  	tbinput, nodev, nulldev, ttstart, nulldev,		/* 4 */
+ #else
+ 	nodev, nodev, nodev, nodev, nodev,
+ 	nodev, nodev, nodev, nodev, nodev,
+ #endif
+ #if NSL > 0
+ 	slopen, slclose, nodev, nodev, sltioctl,
+ 	slinput, nodev, nulldev, slstart, nulldev,		/* 5 */
  #else
  	nodev, nodev, nodev, nodev, nodev,
  	nodev, nodev, nodev, nodev, nodev,
